<template>
  <div id="book-list">
    <book-tile
      v-for="book in books"
      :key="book.key"
      :book="book"
      @selectBook="reemitSelectBook"
    />
  </div>
</template>

<script>
import BookTile from "./BookTile.vue";

export default {
  components: { BookTile },
  props: {
    books: Array,
  },
  methods: {
    reemitSelectBook(book) {
      this.$emit("selectBook", book);
    },
  },
};
</script>

<style>
div#book-list {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
</style>
